Bug 14277 - Stepping in static constructor exits
Summary: Stepping in static constructor exits
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Debugger (show other bugs)
Version: 4.8.x
Hardware: PC Windows
: High normal
Target Milestone: 5.1
Assignee: Jeffrey Stedfast
URL:
Depends on:
Blocks:
 
Reported: 2013-08-27 12:15 UTC by Eric Maupin
Modified: 2015-04-20 08:33 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Video of the issue (490.50 KB, application/x-shockwave-flash)
2013-08-27 12:15 UTC, Eric Maupin
Details

Description Eric Maupin 2013-08-27 12:15:43 UTC
Created attachment 4724 [details]
Video of the issue

Placing a breakpoint in a static constructor and stepping in or over instead steps out.
Comment 1 PJ 2013-09-13 16:07:39 UTC
Ermau has identified this bug as 'Debilitating'. High priority for investigation.
Comment 2 dean.ellis 2013-11-20 09:46:00 UTC
This is still an issue in the latest 1.8 release. Most of the debugging issues were fixed. We get exactly the same behaviour in Xamarin Studio, so its probably related to the Soft Debugger.
Comment 3 Rodrigo Kumpera 2013-11-20 17:27:02 UTC
Jeff,

This happens too in XS, can you help Dean figure out what's wrong here?
Comment 4 Zoltan Varga 2015-01-03 05:38:32 UTC
Fixed in mono master 1139f71dc206480111d35658a2fb4bace60bc05c.
Comment 5 Ram Chandra 2015-04-20 08:33:16 UTC
I have checked this issue with following builds:

XS Environment: 
Windows 8.1
Xamarin Studio: 5.9 (build 431)
Installation UUID: b6495454-eed9-49ee-a97b-abf8a686d664
Runtime:
Microsoft .NET 4.0.30319.34003
GTK+ 2.24.22 (MS-Windows theme)
GTK# 2.12.26
Xamarin.Android : 5.1.0 (Enterprise Edition)
Java SDK: C:\Program Files (x86)\Java\jdk1.7.0_71
java version "1.7.0_71"
=== Build Information ===
Release ID: 509000431
Git revision: 7560726734fc7267de2fa9abed2509968deefaa8
Build date: 2015-04-17 17:09:09-04
Xamarin addins: 2e772c734ab3148054eae7bf8949f340fdeb5e5e

XVS Environment: 
Microsoft Visual Studio Professional 2012
Version 11.0.61030.00 Update 4
Microsoft .NET Framework
Version 4.5.51641
Installed Version: Professional
Xamarin   3.11.445.0 (5061f92)
Xamarin.Android   5.1.0.115 (d23da369e436488f38c8ab8fe8a9ae7d9ea5256b)
Xamarin.iOS   8.10.0.0 (7741cc495ab0baf04ff0405d0604bc27f0ecae2e)

Now, Step In and Step Over works fine in a static constructor.

Screencast ( with VS): http://www.screencast.com/t/OPfZRIW5u0
Screencast (with XS): http://www.screencast.com/t/HIJM1vM9w

This issues has been fixed. Hence, closing this issue.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 14277 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: